petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMLocalToGlobalEnd

updates global vectors from local vectors

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMLocalToGlobalEnd(DM dm,Vec l,InsertMode mode,Vec g)

Neighbor-wise Collective on dm

### Input Parameters

| dm | - the DM object
| l | - the local vector
| mode | - INSERT_VALUES or ADD_VALUES
| g | - the global vector

### See Also

DMCoarsen(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMGlobalToLocalEnd(), DMGlobalToLocalEnd()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex5.c.html
src/dm/examples/tutorials/ex7.c.html
src/dm/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex69.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex15.c.html

### Implementations

DMLocalToGlobalEnd_Composite in src/dm/impls/composite/pack.c
DMLocalToGlobalEnd_DA in src/dm/impls/da/dagtol.c
DMLocalToGlobalEnd_Moab in src/dm/impls/moab/dmmbvec.cxx
DMLocalToGlobalEnd_Network in src/dm/impls/network/network.c
DMLocalToGlobalEnd_Redundant in src/dm/impls/redundant/dmredundant.c
DMLocalToGlobalEnd_Stag in src/dm/impls/stag/stag.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages